<template>
  <div class="container">
    <HeaderHome />
    <TitleIcon :showTitle="true" />
    <div class="row">
      <div class="col-5 right-line">
        <h3 class="mb-2 pt-5">Free & Fast tipping</h3>
        <div class="indentation">
          <div>
            🎁 Support your
            <strong>favorite</strong> contributors
          </div>
          <div>
            ⚡<strong> Fast and Free</strong> thanks to the
            <strong>Lightning network</strong>
          </div>
          <div class="static-h">
            <div class="mt-4">
              ✔️ Download
              <a href="#">BitTip chrome extension (coming sooon)</a>
            </div>
          </div>
          <div class="space"></div>
        </div>
        <div class="text-center">
          <div>
            Do you want receive tips from yout fans <strong>for free?</strong>
          </div>
          <router-link class="btn btn-outline-warning mt-1" to="/login">
            Create your acount
          </router-link>
        </div>
      </div>
      <div class="col-7"><Tabs /></div>
    </div>
    <div style="height: 1px"></div>
  </div>
</template>

<script>
// @ is an alias to /src
import HeaderHome from "@/components/HeaderHome";
import Tabs from "@/components/Tabs";
import TitleIcon from "../components/TitleIcon.vue";

export default {
  name: "Home",
  components: {
    HeaderHome,
    Tabs,
    TitleIcon,
  },
  beforeCreate: function () {
    document.body.className = "home";
  },
};
</script>

<style>
body.home {
  background-color: #3b3b3b;
  color: white;
  line-height: 2.2rem;
  font-size: 120%;
}
</style>

<style scoped>
.container {
  max-width: 1500px;
  padding: 0 10em;
}
h1 {
  color: #ffffff;
  margin-bottom: 0.7em;
}
.right-line {
  border-right: 1px solid white;
}
.indentation {
  margin-left: 1em;
}
.static-h {
  height: 1.05em;
}
.static-h a {
  color: #f7c328;
  text-decoration: none;
  transition: font-size 0.1s ease-in;
}
.static-h a:hover {
  color: #ffe607;
  font-size: 1.05em;
}
.space {
  height: 8em;
}
.fa-check {
  color: #f7c328;
}
</style>
